from distutils.core import setup

with open('README.txt') as file:
    long_description = file.read()

setup(name='piHAparsers',
      version='0.8.0d',
      description='Python Integrated Home Automation Controllers',
      author='Huynh Vi Lam',
      author_email='domovilam@gmail.com',
      url='http://www.pimucha.com/',
      long_description=long_description,
      packages = [
        'piHAparsers',
        'piHAparsers.orelibs',
        'piHAparsers.parserlibs',
        'piHAparsers.tsduolibs',
        'piHAparsers.x10libs',
        ],
      classifiers = [
        "Programming Language :: Python :: 2.6",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Development Status :: 4 - Beta",
        "Environment :: Other Environment",
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: OS Independent",
        "Topic :: Home Automation",
        ],
      )

